=== debian/changelog ===
ocp (1:0.1.21-2) unstable; urgency=medium

  [ Gürkan Myczko ]
  * Really run dh-autoreconf; thanks Logan Rosen. (Closes: #744480)
  * Fix FTBFS on gcc-7; thanks Steve Langasek. (Closes: #853581)
  * Fix FTBFS on i386; thanks Steve Langasek. (Closes: #848916)
  * Bump debhelper version to 10.
  * Bump standards version to 4.1.0.
  * Update my name.

  [ Adam Borowski ]
  * Remove bogus ancient gcc detection completely, fixes FTBFS on gcc-7.
  * Axe redundant/obsolete {Build-,}Depends (dh-autoreconf, autotools-dev,
    texi2html, install-info).
  * wrap-and-sort.
  * Obey dpkg-buildflags.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 11 Sep 2017 23:29:00 +0200

ocp (1:0.1.21-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with dpkg-buildpackage -A, patch by Santiago Vila (Closes:
    #805954).

 -- Andrey Rahmatullin <wrar@debian.org>  Sun, 18 Dec 2016 20:39:25 +0500

ocp (1:0.1.21-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix GCC version detection. Closes: #778033.
  * Build using dh-autoreconf. Closes: #744480.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Jul 2015 14:07:58 +0200

ocp (1:0.1.21-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with gcc-4.7 on i386": add patch fix-gcc47-pcthunk from Kumar
    Appaiah: Fix name of PIC thunks with gcc 4.7.
    Thanks also to Felix Geyer for the bug report and for pointing to the fix.
    (Closes: #683925)

 -- gregor herrmann <gregoa@debian.org>  Sun, 16 Sep 2012 17:19:22 +0200

ocp (1:0.1.21-1) unstable; urgency=low

  * New upstream version.
  * debian/rules: add lintian recommended targets.
  * Bump standards version to 3.9.2.
  * Bump debhelper version to 8.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 09 Nov 2011 12:30:15 +0100
