=== debian/control ===
Source: ocp
Section: sound
Priority: optional
Maintainer: Gürkan Myczko <gurkan@phys.ethz.ch>
Uploaders: Debian Multimedia Team <debian-multimedia@lists.debian.org>
Build-Depends: debhelper (>= 10),
               desktop-file-utils,
               dpkg (>= 1.15.4),
               libadplug-dev (>= 2.0.1-2),
               libasound2-dev,
               libbinio-dev,
               libflac-dev,
               libid3tag0-dev,
               libmad0-dev,
               libncurses5-dev,
               libogg-dev,
               libsidplay1-dev,
               libvorbis-dev,
               libx11-dev,
               libxext-dev,
               libxpm-dev,
               libxxf86dga-dev,
               libxxf86vm-dev,
               texinfo,
               zlib1g-dev
Standards-Version: 4.1.0
Homepage: http://stian.cubic.org/project-ocp.php

Package: opencubicplayer
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: freepats, opencubicplayer-doc
Provides: audio-mixer, mp3-decoder, mp3-encoder, x-audio-mixer
Description: UNIX port of Open Cubic Player
 This is a port of the Open Cubic Player to UNIX from DOS. Provides a
 nice textbased frontend, with some few optional features in graphical.
 Plays modules, sids, wave, audio CD, midi, ogg, flac, adlib, mp3, and ym.

Package: opencubicplayer-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Description: Documentation for UNIX port of Open Cubic Player
 This is the documentation for the  port of the Open Cubic Player to
 UNIX from DOS. Provides a nice textbased frontend, with some few
 optional features in graphical. Plays modules, sids, wave, audio CD,
 midi, ogg, flac, adlib, mp3, and ym.
